### Target-specific definitions for compiling Maria -*- makefile -*-
### GNU Compiler Collection 2.95 for mingw-msvcrt, compiled on Linux

## No GNU Readline library
HAS_READLINE =
LIBREADLINE =
INCREADLINE =

## No support for compiled expressions
EXPR_COMPILE =
## Use built-in LTL formula translator
BUILTIN_LTL = yes

## Location where the cross-compiler has been installed
PATH := /usr/local/cross-tools/bin:/usr/local/cross-tools/i386-mingw32msvc/bin:$(PATH)

CXX = g++
CC = gcc
EXPR_COMPILE =
EXTRA_INCLUDES =
EXTRA_LIBS = -liberty -lwsock32
DEFINES = -D__THROW_BAD_ALLOC='abort()' -DYY_NEVER_INTERACTIVE
## Cygwin (gcc-2.95) on Windows
#EXTRA_LIBS =
#DEFINES = -D__THROW_BAD_ALLOC='abort()' -DHAS_GETOPT_LONG
CFLAGS = -Wall -ansi -pedantic -O3
CXXFLAGS = $(CFLAGS) -Iport -fno-exceptions -fno-rtti

all: maria.exe

maria.exe: maria
	cp maria maria.exe
	strip maria.exe

include Makefile
